## itkadaptivedenoising 0.0+git20240907.9a7adca

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(AdaptiveDenoising)

set(AdaptiveDenoising_LIBRARIES AdaptiveDenoising)

if(NOT ITK_SOURCE_DIR)
  find_package(ITK REQUIRED)
  list(APPEND CMAKE_MODULE_PATH ${ITK_CMAKE_DIR})
  include(ITKModuleExternal)
else()
  itk_module_impl()
endif()

=== src/CMakeLists.txt ===
set(AdaptiveDenoising_SRCS
  itkNonLocalPatchBasedImageFilterEnums.cxx
)

itk_module_add_library(AdaptiveDenoising ${AdaptiveDenoising_SRCS})

=== test/CMakeLists.txt ===
itk_module_test()

set(AdaptiveDenoisingTests
  itkAdaptiveNonLocalMeansDenoisingImageFilterTest.cxx
  )

CreateTestDriver(AdaptiveDenoising "${AdaptiveDenoising-Test_LIBRARIES}" "${AdaptiveDenoisingTests}")

itk_add_test(NAME AdaptiveNonLocalMeansDenoisingImageFilterTest1
 COMMAND AdaptiveDenoisingTestDriver
   --compare DATA{Baseline/r16denoised_pearson_correlation.nrrd}
             ${ITK_TEST_OUTPUT_DIR}/r16denoised_pearson_correlation.nrrd
 itkAdaptiveNonLocalMeansDenoisingImageFilterTest
    DATA{Input/r16slice.nrrd} ${ITK_TEST_OUTPUT_DIR}/r16denoised_pearson_correlation.nrrd 0
)

itk_add_test(NAME AdaptiveNonLocalMeansDenoisingImageFilterTest2
 COMMAND AdaptiveDenoisingTestDriver
   --compare DATA{Baseline/r16denoised_mean_squares.nrrd}
             ${ITK_TEST_OUTPUT_DIR}/r16denoised_mean_squares.nrrd
 itkAdaptiveNonLocalMeansDenoisingImageFilterTest
    DATA{Input/r16slice.nrrd} ${ITK_TEST_OUTPUT_DIR}/r16denoised_mean_squares.nrrd 1
)

=== wrapping/CMakeLists.txt ===
itk_wrap_module(AdaptiveDenoising)

set(WRAPPER_SUBMODULE_ORDER
    itkVarianceImageFilter
    itkNonLocalPatchBasedImageFilter 
    itkAdaptiveNonLocalMeansDenoisingImageFilter)

itk_auto_load_submodules()
itk_end_wrap_module()

=== debian/changelog ===
itkadaptivedenoising (0.0+git20240907.9a7adca-1) unstable; urgency=medium

  * New upstream version 0.0+git20240907.9a7adca

 -- Pierre Gruet <pgt@debian.org>  Sat, 12 Oct 2024 22:18:09 +0200

itkadaptivedenoising (0.0+git20240822.7b79356-1) unstable; urgency=medium

  * New upstream version 0.0+git20240822.7b79356

 -- Pierre Gruet <pgt@debian.org>  Fri, 30 Aug 2024 14:45:48 +0200

itkadaptivedenoising (0.0+git20240619.005bd0e-1) unstable; urgency=medium

  * Initial release (Closes: #1079341)

 -- Pierre Gruet <pgt@debian.org>  Sat, 24 Aug 2024 15:48:53 +0200

=== debian/control ===
Source: itkadaptivedenoising
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libinsighttoolkit5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/itkadaptivedenoising
Vcs-Git: https://salsa.debian.org/med-team/itkadaptivedenoising.git
Homepage: https://github.com/ntustison/ITKAdaptiveDenoising
Rules-Requires-Root: no

Package: libitkadaptivedenoising0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Insight Toolkit module for image denoising (shared library)
 This module of Insight Toolkit allows one to denoise an image using a
 spatially adaptive filter.
 .
 This package contains the shared library.

Package: libitkadaptivedenoising-dev
Architecture: any
Section: libdevel
Depends: libitkadaptivedenoising0 (= ${binary:Version}),
         libinsighttoolkit5-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Insight Toolkit module for image denoising (development files)
 This module of Insight Toolkit allows one to denoise an image using a
 spatially adaptive filter.
 .
 This package contains the headers file and the static library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/pkg-info.mk


#Set SOVERSION
SOVERSION=0

ITK_MINOR=$(shell dpkg --list | sed -n 's/.*libinsighttoolkit\([0-9]\+\.[0-9]\+\).*/\1/p')

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	# Use our home-made CMakeLists.txt file, save the unused one.
	mv CMakeLists.txt CMakeLists.txt.old
	sed "s/ITK_VERSION/$(ITK_MINOR)/" debian/CMakeLists.txt.in > CMakeLists.txt
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)" \
		-DVERSION="$(DEB_VERSION_UPSTREAM)" \
		-DSOVERSION="$(SOVERSION)"

execute_before_dh_clean:
	# Remove our home-made CMakeLists.txt file, put back the unused one.
	if [ -e CMakeLists.txt.old ]; then \
	    mv CMakeLists.txt.old CMakeLists.txt; \
	fi

=== debian/tests/control ===
Tests: adaptiveTest
Depends: libitkadaptivedenoising-dev, build-essential

=== debian/watch ===
version=4

opts="mode=git, pretty=0.0+git%cd.%h" \
 https://github.com/ntustison/ITKAdaptiveDenoising.git HEAD
